package com.ruoyi.jjh.ent.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.jjh.ent.entity.JServicesList;
import com.ruoyi.jjh.ent.entity.request.JServicesListRequest;
import com.ruoyi.jjh.ent.entity.response.JServicesListCountResponse;
import com.ruoyi.jjh.ent.service.JServicesListService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 服务业企业名单（j_services_list）表控制层
 *
 * @author du
 * @since 2024/7/26 15:29
 */
@RestController
@RequestMapping("/jjh/servicesList")
@Api(tags = "服务业企业名单")
public class JServicesListController extends BaseController {

    @Resource
    private JServicesListService jServicesListService;

    /**
     * 分页查询服务业企业名单
     *
     * @param page 分页参数
     * @param js   请求体
     * @return 分页数据
     */
    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "分页查询服务业企业名单", response = JServicesList.class)
    @GetMapping
    public AjaxResult selectAll(Page<JServicesList> page, JServicesListRequest js) {
        return success(jServicesListService.page(page, js));
    }


    /**
     * 首页服务业数据统计
     */
    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "首页服务业数据统计", response = JServicesListCountResponse.class)
    @GetMapping("/selectCount")
    public AjaxResult selectAllServicesCount() {
        return success(jServicesListService.selectAllServicesCount());
    }
}
