package com.ruoyi.jjh.ent.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 企业联系人信息(存在多个)（j_contacts）表控制层
 *
 * @author du
 * @since 2024/5/13 9:49
 */
@Data
@ApiModel("企业联系人信息(存在多个)")
@TableName(value = "j_contacts")
public class JContacts extends BaseInfoEntity {

    /**
     * 代理键
     */
    @TableId
    @ApiModelProperty("代理键")
    private String dwAgencykey;

    /**
     * 创建id
     */
    @JSONField(serialize = false)
    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 更新id
     */
    @JSONField(serialize = false)
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateId;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    @ApiModelProperty("企业名称")
    private String qymc;

    /**
     * 标识证号
     */
    @Excel(name = "标识证号")
    @ApiModelProperty("标识证号")
    private String bszh;

    /**
     * 统一社会信用代码
     */
    @Excel(name = "统一社会信用代码")
    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;

    /**
     * 组织机构代码
     */
    @Excel(name = "组织机构代码")
    @ApiModelProperty("组织机构代码")
    private String zzjgdm;

    /**
     * 联络人姓名
     */
    @Excel(name = "联络人姓名")
    @ApiModelProperty("联络人姓名")
    private String llrxm;

    /**
     * 联络人职务
     */
    @Excel(name = "联络人职务")
    @ApiModelProperty("联络人职务")
    private String llrzw;

    /**
     * 电子邮箱
     */
    @Excel(name = "电子邮箱")
    @ApiModelProperty("电子邮箱")
    private String dzyx;


    /**
     * 移动电话
     */
    @Excel(name = "移动电话")
    @ApiModelProperty("移动电话")
    private String yddh;

    /**
     * 固定电话
     */
    @Excel(name = "固定电话")
    @ApiModelProperty("固定电话")
    private String gddh;

    /**
     * 联络人编号
     */
    @Excel(name = "联络人编号")
    @ApiModelProperty("联络人编号")
    private String llrbh;

    /**
     * 默认法人统一社会用代码
     */
    @Excel(name = "默认法人统一社会用代码")
    @ApiModelProperty("默认法人统一社会用代码")
    private String dwExtend1;

    /**
     * 法人注册号
     */
    @Excel(name = "法人注册号")
    @ApiModelProperty("法人注册号")
    private String dwExtend2;

    /**
     * 法人组织机构代码
     */
    @Excel(name = "法人组织机构代码")
    @ApiModelProperty("法人组织机构代码")
    private String dwExtend3;


    /**
     * 操作标识
     */
    @Excel(name = "操作标识")
    @ApiModelProperty("操作标识")
    private String dwOperation;


    /**
     * 入库时间
     */
    @Excel(name = "入库时间")
    @ApiModelProperty("入库时间")
    private String dwTimestamp;


    /**
     * 来源机构
     */
    @Excel(name = "来源机构")
    @ApiModelProperty("来源机构")
    private String dwLyjg;

    /**
     * 来源表名
     */
    @Excel(name = "来源表名")
    @ApiModelProperty("来源表名")
    private String dwLyb;

}
