package com.ruoyi.jjh.ent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 服务业企业名单（j_services_list）表实体类
 *
 * @author du
 * @since 2024/7/26 15:29
 */
@Data
@ApiModel("服务业企业名单")
@TableName(value = "j_services_list")
public class JServicesList{

    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String qymc;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;

    /**
     * 登记注册统计类别
     */
    @ApiModelProperty("登记注册统计类别")
    private String djzctjlb;

    /**
     * 行业代码
     */
    @ApiModelProperty("行业代码")
    private String hydm;

    /**
     * 1.生产性服务业 2生活性服务业 3规上服务业 4限上批零住餐
     */
    @ApiModelProperty("1.生产性服务业 2生活性服务业 3规上服务业 4限上批零住餐")
    private String servicesType;

    /**
     * 全年营收
     */
    @TableField(exist = false)
    @ApiModelProperty("全年营收")
    private String revenue;

    /**
     * 年份
     */
    @TableField(exist = false)
    @ApiModelProperty("年份")
    private String years;
}
