package com.ruoyi.jjh.ent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.ent.entity.JHeadQuartersRevenue;
import com.ruoyi.jjh.ent.entity.request.JHeadQuartersRevenueRequest;
import com.ruoyi.jjh.ent.entity.response.JHqCountResponse;
import org.apache.ibatis.annotations.Param;

/**
 * 总部企业（j_headquarters_revenue）表数据库访问层
 *
 * @author du
 * @since 2024/7/26 15:36
 */
public interface JHeadQuartersRevenueMapper extends BaseMapper<JHeadQuartersRevenue> {


    /**
     * 分页查询总部企业
     *
     * @param page 分页参数
     * @param js   请求参数
     * @return 数据
     */
    Page<JHeadQuartersRevenue> page(Page<JHeadQuartersRevenue> page, @Param("req") JHeadQuartersRevenueRequest js);

    /**
     * 查询总部企业数量
     */
    JHqCountResponse selectZbCount();
}
