package com.ruoyi.jjh.ent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.entity.JProjectFund;
import com.ruoyi.jjh.ent.entity.response.FundStatisticsResponse;
import com.ruoyi.jjh.ent.entity.response.JProjectFundResponse;

import java.util.List;

/**
 * 项目资金情况（j_policy_fund）表业务层
 * @author du
 * @since 2024/8/8 15:36
 */
public interface JProjectFundService extends IService<JProjectFund> {

    /**
     * 查询该项目id下的资金情况
     *
     * @return 所有数据
     */
    List<JProjectFund> selectFund(Long id);

    /**
     * 政务端-工作台 资金引导拨付情况统计
     */
    List<FundStatisticsResponse> fundStatistics();

    /**
     * 政务端-工作台 拨付资金企业申请情况TOP5
     */
    List<JProjectFundResponse> appropriationTop5();

    /**
     * 企业端-首页 企业荣誉资质
     */
    List<JProject> getEnterpriseProject(Integer type,String creditCode);

    /**
     * 企业端-首页 往年专项资金申报
     */
    List<JProjectFundResponse> usualFund(String username);
}
