package com.ruoyi.jjh.ent.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.exception.ServiceException;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.entity.JProjectFund;
import com.ruoyi.jjh.ent.entity.response.FundStatisticsResponse;
import com.ruoyi.jjh.ent.entity.response.JProjectFundResponse;
import com.ruoyi.jjh.ent.mapper.JProjectFundMapper;
import com.ruoyi.jjh.ent.service.JProjectFundService;
import com.ruoyi.jjh.ent.service.JProjectService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 项目资金情况（j_policy_fund）表业务处理层
 * @author du
 * @since 2024/8/8 15:36
 */
@Service
public class JProjectFundServiceImpl  extends ServiceImpl<JProjectFundMapper, JProjectFund> implements JProjectFundService {


    @Resource
    private JProjectService jProjectService;

    /**
     * 查询该项目id下的资金情况
     *
     * @return 所有数据
     */
    @Override
    public List<JProjectFund> selectFund(Long id) {
        JProject jp = jProjectService.getById(id);
        if(jp.getProjectSmallType()!=3&jp.getProjectSmallType()!=7){
            throw new ServiceException("暂无资金拨付!");
        }else {
            return baseMapper.selectFund(jp.getCreditCode(),jp.getProjectYear());
        }
    }


    /**
     * 政务端-工作台 资金引导拨付情况统计
     */
    @Override
    public List<FundStatisticsResponse> fundStatistics() {
        return baseMapper.fundStatistics();
    }

    /**
     * 政务端-工作台 拨付资金企业申请情况TOP5
     */
    @Override
    public List<JProjectFundResponse> appropriationTop5() {
        return baseMapper.appropriationTop5();
    }

    /**
     * 企业端-首页 企业荣誉资质
     */
    @Override
    public List<JProject> getEnterpriseProject(Integer type,String creditCode) {
        return baseMapper.getEnterpriseProject(type,creditCode);
    }

    /**
     * 企业端-首页 往年专项资金申报
     */
    @Override
    public List<JProjectFundResponse> usualFund(String username) {
        return baseMapper.usualFund(username);
    }
}
