package com.ruoyi.jjh.ent.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.ent.entity.JServicesList;
import com.ruoyi.jjh.ent.entity.request.JServicesListRequest;
import com.ruoyi.jjh.ent.entity.response.JServicesListCountResponse;
import com.ruoyi.jjh.ent.mapper.JServicesListMapper;
import com.ruoyi.jjh.ent.service.JServicesListService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 服务业企业名单（j_services_list）表业务实现层
 *
 * @author du
 * @since 2024/7/26 15:36
 */
@Service
public class JServicesListServiceImpl extends ServiceImpl<JServicesListMapper, JServicesList> implements JServicesListService {

    /**
     * 分页查询服务业企业名单
     *
     * @param page 分页参数
     * @param js   请求体
     * @return 分页数据
     */
    @Override
    public Page<JServicesList> page(Page<JServicesList> page, JServicesListRequest js) {
        if("3".equals(js.getServicesType())){
            return baseMapper.page1(page, js);
        }else {
            return baseMapper.page(page, js);
        }
    }

    /**
     * 首页服务业数据统计
     */
    @Override
    public List<JServicesListCountResponse> selectAllServicesCount() {
        //获取四个服务的总数据
        List<JServicesListCountResponse> list = baseMapper.selectAllServicesCount();
        //获取总部企业的总数居
        list.add(baseMapper.selectAllZbCount());
        return list;
    }
}
